Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Modify project

$ openai admin:organization:projects update
POST
/organization/projects/{project_id}

Modifies a project in the organization.

Modify project

openai admin:organization:projects update \
  --admin-api-key 'My Admin API Key' \
  --project-id project_id
200 — Example
{
  "id": "id",
  "created_at": 0,
  "object": "organization.project",
  "archived_at": 0,
  "external_key_id": "external_key_id",
  "name": "name",
  "residency": "GLOBAL",
  "status": "status"
}
Parameters
--project-id: string

The ID of the project.

--external-key-id: optional string

External key ID to associate with the project.

Deprecated--geography: optional string

Geography for the project. Deprecated: use residency when creating a project to configure data residency. This field is retained for backward compatibility.

--name: optional string

The updated name of the project, this name appears in reports.

Returns
project: object { id, created_at, object, 5 more }

Represents an individual project.

id: string

The identifier, which can be referenced in API endpoints

created_at: number

The Unix timestamp (in seconds) of when the project was created.

object: "organization.project"

The object type, which is always organization.project

archived_at: optional number

The Unix timestamp (in seconds) of when the project was archived or null.

external_key_id: optional string

The external key associated with the project.

name: optional string

The name of the project. This appears in reporting.

residency: optional "GLOBAL" or "US_STORAGE_PROCESSING" or "EU_STORAGE_PROCESSING" or 12 more

The residency configuration for the project.

status: optional string

active or archived

Returns Examples
200 — Example
{
  "id": "id",
  "created_at": 0,
  "object": "organization.project",
  "archived_at": 0,
  "external_key_id": "external_key_id",
  "name": "name",
  "residency": "GLOBAL",
  "status": "status"
}